Bug 103095 - [OpenGL CTS] KHR-GL45.texture_size_promotion.functional
Summary: [OpenGL CTS] KHR-GL45.texture_size_promotion.functional
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 102590
  Show dependency treegraph
 
Reported: 2017-10-04 09:27 UTC by Juan A. Suarez
Modified: 2017-11-02 03:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan A. Suarez 2017-10-04 09:27:27 UTC
Test is failing in Skylake/Broadwell in several cases.

One of them is:

"Promotion from internal format GL_RGBA4 have failed during functional test of alpha channel with target GL_TEXTURE_2D_MULTISAMPLE. Expected value = 0.75 read value = 0.666667"
Comment 1 Juan A. Suarez 2017-10-18 09:51:23 UTC
The problems are all in the test. I have a fix in progress.
Comment 2 Kenneth Graunke 2017-11-02 03:04:44 UTC
It looks like this was fixed by the following VK-GL-CTS commit:

commit 221e522b4a0bbb55cc295bb7d5ebedb796a5ecf0
Author: Juan A. Suarez Romero <jasuarez@igalia.com>
Date:   Wed Oct 18 09:37:27 2017 +0000

    Several fixes for texture_size_promotion


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.